body
{
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #031321;
    font-family: consolas;
}
.btn-neon
{
    position: relative;
    display:inline-block;
    padding: 15px 30px;
    color: aquamarine;
    text-transform: uppercase;
    letter-spacing: 4px;
    text-decoration: none;
    font-size: 24px;
    overflow: hidden;
    transition: 0.2s;
}
.btn-neon:hover
{
    color: #255784;
    background: aquamarine;
    box-shadow: 0 0 10px aquamarine, 0 0 40px aquamarine, 0 0 80px aquamarine;
    transition-delay: 1s ;
}

.btn-neon span{
    position: absolute;
    display: block;
}
.btn-neon span:nth-child(1){
    top:0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg,transparent,aquamarine);
}
.btn-neon:hover span:nth-child(1){
    left:100%;
    transition: 1s;
}
.btn-neon span:nth-child(2){
    top:-100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg,transparent,aquamarine);
}
.btn-neon:hover span:nth-child(2){
    top:100%;
    transition: 1s;
    transition-delay: 0.25s;
}
.btn-neon span:nth-child(3){
    bottom:0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg,transparent,aquamarine);
}
.btn-neon:hover span:nth-child(3){
    right:100%;
    transition: 1s;
    transition-delay: 0.5s;
}

.btn-neon span:nth-child(4){
    bottom:-100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg,transparent,aquamarine);
}
.btn-neon:hover span:nth-child(4){
    bottom: 100%;
    transition: 1s;
    transition-delay: 0.75s;
}